from .funasr_utils import FunAutoSpeechRecognizer
from .punctuation_utils import FUNASR, Punctuation
from .emotion_utils import FUNASRFINETUNE, Emotion

class ModifiedRecognizer():
    def __init__(self):
        #增加语音识别模型
        self.asr_model = FunAutoSpeechRecognizer()
        
        #增加标点模型
        self.puctuation_model = Punctuation(**FUNASR)
        
        # 情绪识别模型
        self.emotion_model = Emotion(**FUNASRFINETUNE)
        
    def session_signup(self, session_id):
        self.asr_model.session_signup(session_id)
        
    def session_signout(self, session_id):
        self.asr_model.session_signout(session_id)

    def streaming_recognize(self, session_id, audio_data,is_end=False):
        return self.asr_model.streaming_recognize(session_id, audio_data,is_end=is_end)
    
    def punctuation_correction(self, sentence):
        return self.puctuation_model.process(sentence)
    
    def emtion_recognition(self, audio):
        return self.emotion_model.process(audio)